Le Forum de l'Alliance Francophone

Nouvelles:

Auteur Sujet: Support driver NVidia 390.x sur Linux  (Lu 1733 fois)

0 Membres et 1 Invité sur ce sujet

Hors ligne Maeda

  • Boinc'eur devant l'éternel
  • *****
  • Messages: 2435
  •   
le: 29 April 2023 à 11:56
Bonjour à tous,
Juste une information : sous Linux, j'ai une carte graphique assez ancienne (NVidia GT430) et j'utilise la branche des drivers legacy (pas le choix), donc les 390.x.
Sur NVidia, il est précisé : "The Linux 390.* legacy driver series is the last to support GF1xx ("Fermi") GPUs. Support for new Linux kernels and X servers, as well as fixes for critical bugs, will be included in 390.* legacy releases through the end of 2022."
Et ce matin à la mise à jour de mes deux noyaux (un normal Arch et un Arch LTS) :
==> dkms install --no-depmod nvidia/390.157 -k 6.1.26-1-lts
==> dkms install --no-depmod nvidia/390.157 -k 6.2.13-arch1-1
Error! Bad return status for module build on kernel: 6.2.13-arch1-1 (x86_64)
Consult /var/lib/dkms/nvidia/390.157/build/make.log for more information.
==> WARNING: `dkms install --no-depmod nvidia/390.157 -k 6.2.13-arch1-1' exited 10
A priori KO sur le plus récent [6.2.13] mais OK sur le LTS [6.1.23-1) (peut-être juste un bug), donc faites attention (notamment Manjaro où je crois que c'est très proche de Arch) si vous avez d'anciennes cartes graphiques NVidia.